package com.prolog.cs.biz.outbound.model.vo.check;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Description: 初版内复核，新版已在界面交互、接口响应作重大优化，旧版仅作参考，建议在新版升级
 * @Author: 田海龙
 * @Date: 2022/6/23 9:52
 */
@Deprecated
@ApiModel
@Data
public class InnerCheckBillVO {

    @ApiModelProperty(value = "订单分组id")
    private String billGroupId;

    @ApiModelProperty(value = "容器编码")
    private String containerCode;

    @ApiModelProperty(value = "货主名称")
    private String consignorName;

    @ApiModelProperty(value = "货主id")
    private String consignorId;

    @ApiModelProperty(value = "客户名称")
    private String clientName;

    @ApiModelProperty(value = "订单编号")
    private String billCode;

    @ApiModelProperty(value = "订单类型")
    private String billType;

    @ApiModelProperty(value = "当前操作的明细行")
    private String currentCheckId;

    @ApiModelProperty(value = "拣货任务id")
    private String pickTaskHId;

    @ApiModelProperty(value = "复核台编码")
    private String stationCode;


    @ApiModelProperty(value = "集货区编码")
    private String workStageCode;

    @ApiModelProperty(value = "收获单位名称")
    private String shipperName;

    @ApiModelProperty(value = "收获单位id")
    private String shipperId;
    
    @ApiModelProperty(value = "仓库")
    private String warehouseId;

    @ApiModelProperty(value = "拣选任务明细")
    private List<InnerCheckTaskDVO> innerCheckTaskDVOS;

    @ApiModelProperty(value = "当前容器信息")
    private  InnerCheckContainerVO containerInfo;

    public String getBillGroupId() {
        return billGroupId;
    }

    public void setBillGroupId(String billGroupId) {
        this.billGroupId = billGroupId;
    }

    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getConsignorName() {
        return consignorName;
    }

    public void setConsignorName(String consignorName) {
        this.consignorName = consignorName;
    }

    public String getConsignorId() {
        return consignorId;
    }

    public void setConsignorId(String consignorId) {
        this.consignorId = consignorId;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getBillCode() {
        return billCode;
    }

    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String getCurrentCheckId() {
        return currentCheckId;
    }

    public void setCurrentCheckId(String currentCheckId) {
        this.currentCheckId = currentCheckId;
    }

    public String getPickTaskHId() {
        return pickTaskHId;
    }

    public void setPickTaskHId(String pickTaskHId) {
        this.pickTaskHId = pickTaskHId;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getWorkStageCode() {
        return workStageCode;
    }

    public void setWorkStageCode(String workStageCode) {
        this.workStageCode = workStageCode;
    }

    public String getShipperName() {
        return shipperName;
    }

    public void setShipperName(String shipperName) {
        this.shipperName = shipperName;
    }

    public String getShipperId() {
        return shipperId;
    }

    public void setShipperId(String shipperId) {
        this.shipperId = shipperId;
    }

    public List<InnerCheckTaskDVO> getInnerCheckTaskDVOS() {
        return innerCheckTaskDVOS;
    }

    public void setInnerCheckTaskDVOS(List<InnerCheckTaskDVO> innerCheckTaskDVOS) {
        this.innerCheckTaskDVOS = innerCheckTaskDVOS;
    }

    public InnerCheckContainerVO getContainerInfo() {
        return containerInfo;
    }

    public void setContainerInfo(InnerCheckContainerVO containerInfo) {
        this.containerInfo = containerInfo;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

}

